<ul class="nav nav-tabs" id="myTab" role="tablist">
  {% for group_key, group_value in marks.items %}
    <li class="nav-item">
      <a class="nav-link {% if forloop.first %}active{% endif %}" id="tab-{{ forloop.counter }}"
         data-toggle="tab"
         href="#group-{{ forloop.counter }}" role="tab" aria-controls="group-{{ forloop.counter }}"
         aria-selected="{% if forloop.first %}true{% else %}false{% endif %}">{{ group_key }}</a>
    </li>
  {% endfor %}
</ul>

<div class="tab-content">
  {% for group_key, group_value in marks.items %}
    <div class="tab-pane {% if forloop.first %}active{% endif %}" id="group-{{ forloop.counter }}"
         role="tabpanel"
         aria-labelledby="tab-{{ forloop.counter }}">
      <div class="table-responsive">
        <table class="table table-bordered table-striped table-sm">
          <thead>
          <tr>
            <th scope="col" id="student-list-header"></th>
            {% for period in periods %}
              {% if period.group == group_key %}
                <th title="{{ period.teacher }}" scope="col" nowrap="True">
                  {{ period.date.month }}.{{ period.date.day }} {{ period.number }}</th>
              {% endif %}
            {% endfor %}
          </tr>
          </thead>
          <tbody>
          {% for student_key, student_value in group_value.items %}
            <tr>
              <th scope="row" nowrap="True">{{ forloop.counter }} {{ student_key }}</th>
              {% for period_key, period_value in student_value.items %}
                {#                        <td><input class="form-control form-control-sm" type="text" value="{{ period_value }}"></td>#}
                {#                        <td><span contenteditable>{{ period_value }}</span></td>#}
                <td>
                  <form action="{% url 'people:set_mark' %}" method="post">
                    {% csrf_token %}
                    <input name="student_id" value="{{ period_value.student_id }}" hidden>
                    <input name="period_id" value="{{ period_value.period_id }}" hidden>
                    <select name="mark" required onchange="this.form.submit()">
                      <option value="{{ period_value.mark }}">{{ period_value.mark }}</option>
                      {% for k, v in choices %}
                        <option value="{{ k }}">{{ k }}</option>
                      {% endfor %}
                    </select>
                  </form>
                </td>
              {% endfor %}
            </tr>
          {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  {% endfor %}
</div>
